Index: /extensions/SmartAlbums/admin/config.php
===================================================================
--- /extensions/SmartAlbums/admin/config.php	(revision 16938)
+++ /extensions/SmartAlbums/admin/config.php	(revision 16939)
@@ -6,4 +6,5 @@
 {
   $conf['SmartAlbums']['update_on_upload'] = isset($_POST['update_on_upload']);
+  $conf['SmartAlbums']['smart_is_forbidden'] = isset($_POST['smart_is_forbidden']);
   
   conf_update_param('SmartAlbums', serialize($conf['SmartAlbums']));
@@ -11,7 +12,5 @@
 }
 
-$template->assign(array(
-  'update_on_upload' => $conf['SmartAlbums']['update_on_upload'],
-));
+$template->assign($conf['SmartAlbums']);
 
 $template->set_filename('SmartAlbums_content', dirname(__FILE__).'/template/config.tpl');
Index: /extensions/SmartAlbums/admin/template/config.tpl
===================================================================
--- /extensions/SmartAlbums/admin/template/config.tpl	(revision 16938)
+++ /extensions/SmartAlbums/admin/template/config.tpl	(revision 16939)
@@ -1,15 +1,44 @@
+{html_head}{literal}
+<style type="text/css">
+.showInfo {
+  position:static;
+  display:inline-block;
+  padding:1px 6px !important;
+  width:auto;
+  font-size:0.8em;
+  line-height:1.2em;
+}
+</style>
+{/literal}{/html_head}
+
+{footer_script require="jquery"}
+jQuery(".showInfo").tipTip({ldelim}
+    delay: 0,
+    fadeIn: 200,
+    fadeOut: 200,
+    maxWidth: '300px',
+    defaultPosition:"right"
+  });
+{/footer_script}
+
 <div class="titrePage">
 	<h2>SmartAlbums</h2>
 </div>
 
-<form method="post" action="" class="properties" ENCTYPE="multipart/form-data"> 
-	<fieldset>
-		<legend>{'Configuration'|@translate}</legend>	  
+<form method="post" action="" class="properties"> 
+	<fieldset id="commentsConf">
 		<ul>			
 			<li>
         <label>
-          <span class="property">{'Update albums on file upload'|@translate}</span>
           <input type="checkbox" name="update_on_upload" value="true" {if $update_on_upload}checked="checked"{/if}/>
-          {'(can cause slowdowns)'|@translate}
+          <b>{'Update albums on file upload'|@translate}</b>
+          <a class="showInfo" title="{'can cause slowdowns'|@translate}">i</a>
+        </label>
+			</li>
+      <li>
+        <label>
+          <input type="checkbox" name="smart_is_forbidden" value="true" {if $smart_is_forbidden}checked="checked"{/if}/>
+          <b>{'Exclude SmartAlbums from permissions management'|@translate}</b>
+          <a class="showInfo" title="{'SmartAlbums are considered private for everyone, and a user can see it\'s content only if available in another album he has access to.'|@translate}">i</a>
         </label>
 			</li>
@@ -17,4 +46,4 @@
 	</fieldset>
 		
-	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" /></p>
+	<p class="formButtons"><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" /></p>
 </form>
Index: /extensions/SmartAlbums/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/ca_ES/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/ca_ES/plugin.lang.php	(revision 16939)
@@ -24,5 +24,5 @@
 $lang['%d photos associated to album %s'] = '%d imatges associades a l\'àlbum %s';
 $lang['%d photos'] = '%d imatges';
-$lang['(can cause slowdowns on admin pages)'] = '(Pot causar retards en les pàgines d\'administració)';
+$lang['can cause slowdowns on admin pages'] = 'Pot causar retards en les pàgines d\'administració';
 $lang['Add a SmartAlbum'] = 'Afegir un SmartAlbum';
 $lang['Add filters here'] = 'Afegir filtres aquí';
Index: /extensions/SmartAlbums/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/cs_CZ/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/cs_CZ/plugin.lang.php	(revision 16939)
@@ -29,5 +29,5 @@
 $lang['Don\'t show this message again'] = 'Ne/zobrazovat příště tuto zprávu';
 
-$lang['(can cause slowdowns)'] = '(může způsobovat zpomalení)';
+$lang['can cause slowdowns'] = 'může způsobovat zpomalení';
 $lang['Above'] = 'Nad';
 $lang['Author is empty'] = 'Autor je prázdný';
Index: /extensions/SmartAlbums/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/de_DE/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/de_DE/plugin.lang.php	(revision 16939)
@@ -29,5 +29,5 @@
 $lang['Don\'t show this message again'] = 'Diese Nachricht nicht mehr anzeigen';
 
-$lang['(can cause slowdowns)'] = 'Kann das System verlangsamen';
+$lang['can cause slowdowns'] = 'Kann das System verlangsamen';
 $lang['Above'] = 'Darüber';
 $lang['Author is empty'] = 'Autor ist leer';
Index: /extensions/SmartAlbums/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/el_GR/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/el_GR/plugin.lang.php	(revision 16939)
@@ -48,5 +48,5 @@
 $lang['This album is a SmartAlbum'] = 'Αυτό το άλμπουμ είναι ένα SmartAlbum';
 $lang['Update albums on file upload'] = 'Ενημέρωση λευκώματος με ανέβασμα αρχείου';
-$lang['(can cause slowdowns)'] = '(Μπορεί να προκαλέσει επιβράδυνση)';
+$lang['can cause slowdowns'] = 'Μπορεί να προκαλέσει επιβράδυνση';
 $lang['Above'] = 'Πάνω από';
 $lang['Author is empty'] = 'ο Δημιουργός είναι άδειο';
Index: /extensions/SmartAlbums/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/en_UK/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/en_UK/plugin.lang.php	(revision 16939)
@@ -52,6 +52,8 @@
 $lang['Regenerate photos list of this SmartAlbum'] = 'Regenerate photos list of this SmartAlbum';
 $lang['Update albums on file upload'] = 'Update albums on file upload';
-$lang['(can cause slowdowns)'] = '(can cause slowdowns)';
+$lang['can cause slowdowns'] = 'can cause slowdowns';
 $lang['Filters'] = 'Filters';
+$lang['Exclude SmartAlbums from permissions management'] = 'Exclude SmartAlbums from permissions management';
+$lang['SmartAlbums are considered private for everyone, and a user can see it\'s content only if available in another album he has access to.'] = 'SmartAlbums are considered private for everyone, and a user can see it\'s content only if available in another album he has access to.';
 
 ?>
Index: /extensions/SmartAlbums/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/es_ES/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/es_ES/plugin.lang.php	(revision 16939)
@@ -29,5 +29,5 @@
 $lang['Don\'t show this message again'] = 'No volver a mostrar este mensaje';
 
-$lang['(can cause slowdowns)'] = '(puede hacer que vaya lento)';
+$lang['can cause slowdowns'] = 'puede hacer que vaya lento';
 $lang['Above'] = 'Encima';
 $lang['Author is empty'] = 'El campo autor está vacio';
Index: /extensions/SmartAlbums/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/fr_FR/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/fr_FR/plugin.lang.php	(revision 16939)
@@ -51,6 +51,8 @@
 $lang['Regenerate photos list of this SmartAlbum'] = 'Régénérer les photos de ce SmartAlbum';
 $lang['Update albums on file upload'] = 'Mettre à jour les albums après la mise en ligne d\'un fichier';
-$lang['(can cause slowdowns)'] = '(peut causer des ralentissements)';
+$lang['can cause slowdowns'] = 'peut causer des ralentissements';
 $lang['Filters'] = 'Filtres';
+$lang['Exclude SmartAlbums from permissions management'] = 'Exlure les SmartAlbums de la gestion des droits d\'accès';
+$lang['SmartAlbums are considered private for everyone, and a user can see it\'s content only if available in another album he has access to.'] = 'Les SmartAlbums sont considérés comme privés pour tout le monde, et un utilisateur ne peut voir leur contenu que si disponible dans un autre album auquel il a accès.';
 
 ?>
Index: /extensions/SmartAlbums/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/hu_HU/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/hu_HU/plugin.lang.php	(revision 16939)
@@ -24,5 +24,5 @@
 $lang['%d photos associated to album %s'] = '%d kép társítva a(z) %s albumhoz';
 $lang['%d photos'] = '%d kép';
-$lang['(can cause slowdowns)'] = '(lassulást okozhat)';
+$lang['can cause slowdowns'] = 'lassulást okozhat';
 $lang['Above'] = 'Felett';
 $lang['Add filters here'] = 'Adjon hozzá szűrőt!';
Index: /extensions/SmartAlbums/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/it_IT/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/it_IT/plugin.lang.php	(revision 16939)
@@ -50,5 +50,5 @@
 $lang['Regenerate photos list of this SmartAlbum'] = 'Rigenerare le foto di questo SmartAlbum';
 $lang['Update albums on file upload'] = 'Aggiornare gli album dopo il caricamento di un file';
-$lang['(can cause slowdowns)'] = '(può causare rallentamenti)';
+$lang['can cause slowdowns'] = 'può causare rallentamenti';
 $lang['Filters'] = 'Filtri';
 
Index: /extensions/SmartAlbums/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/lv_LV/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/lv_LV/plugin.lang.php	(revision 16939)
@@ -29,5 +29,5 @@
 $lang['Don\'t show this message again'] = 'Nerādīt šo ziņojumu atkārtoti';
 
-$lang['(can cause slowdowns)'] = '(var izraisīt lēnu lejuplādi)';
+$lang['can cause slowdowns'] = 'var izraisīt lēnu lejuplādi';
 $lang['Above'] = 'Virs';
 $lang['Author is empty'] = 'Lauks Autors ir tukšs';
Index: /extensions/SmartAlbums/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/nl_NL/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/nl_NL/plugin.lang.php	(revision 16939)
@@ -29,5 +29,5 @@
 $lang['Don\'t show this message again'] = 'Toon dit bericht niet meer opnieuw';
 
-$lang['(can cause slowdowns)'] = '(kan vertraging veroorzaken)';
+$lang['can cause slowdowns'] = 'kan vertraging veroorzaken';
 $lang['Above'] = 'Boven';
 $lang['Author is empty'] = 'Auteur is leeg';
Index: /extensions/SmartAlbums/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/pl_PL/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/pl_PL/plugin.lang.php	(revision 16939)
@@ -48,5 +48,5 @@
 $lang['This album is a SmartAlbum'] = 'Ten album jest SmartAlbumem';
 $lang['Update albums on file upload'] = 'Aktualizuj albumy podczas upload\'u plików';
-$lang['(can cause slowdowns)'] = '(może powodować spowolnienia';
+$lang['can cause slowdowns'] = 'może powodować spowolnienia';
 $lang['Above'] = 'Powyżej';
 $lang['Author is empty'] = 'Brak Autora';
Index: /extensions/SmartAlbums/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/pt_PT/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/pt_PT/plugin.lang.php	(revision 16939)
@@ -48,5 +48,5 @@
 $lang['This album is a SmartAlbum'] = 'Este album é um album Smart';
 $lang['Update albums on file upload'] = 'Actualizar albuns ao fazer o upload de ficheiros';
-$lang['(can cause slowdowns)'] = '(pode causar lentidão)';
+$lang['can cause slowdowns'] = 'pode causar lentidão';
 $lang['Above'] = 'Acima';
 $lang['Author is empty'] = 'O autor esta vazio ';
Index: /extensions/SmartAlbums/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/ru_RU/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/ru_RU/plugin.lang.php	(revision 16939)
@@ -48,5 +48,5 @@
 $lang['This album is a SmartAlbum'] = 'Этот альбом - Умный Альбом';
 $lang['Update albums on file upload'] = 'Обновить альбомы при загрузке файлов';
-$lang['(can cause slowdowns)'] = '(может привести к замедлению работы)';
+$lang['can cause slowdowns'] = 'может привести к замедлению работы';
 $lang['Above'] = 'Above';
 $lang['Author is empty'] = 'Автор не указан';
Index: /extensions/SmartAlbums/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/sk_SK/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/sk_SK/plugin.lang.php	(revision 16939)
@@ -48,5 +48,5 @@
 $lang['This album is a SmartAlbum'] = 'Tento album je SmartAlbum';
 $lang['Update albums on file upload'] = 'Aktualizovať albumy pri nahratí súboru';
-$lang['(can cause slowdowns)'] = '(m&ocirc;&#382;e sp&ocirc;sobi&#357; spomalenie)';
+$lang['can cause slowdowns'] = 'm&ocirc;&#382;e sp&ocirc;sobi&#357; spomalenie';
 $lang['Above'] = 'Vy&#353;&#353;ie uveden&eacute;';
 $lang['Author is empty'] = 'N&aacute;zov autora je pr&aacute;zdny';
Index: /extensions/SmartAlbums/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/tr_TR/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/tr_TR/plugin.lang.php	(revision 16939)
@@ -25,5 +25,5 @@
 $lang['%d photos'] = '%d fotoğraf';
 $lang['%d photo'] = '%d fotoğraf';
-$lang['(can cause slowdowns)'] = '(yavaşlamaya sebep olur)';
+$lang['can cause slowdowns'] = 'yavaşlamaya sebep olur';
 $lang['Above'] = 'Yukarıdaki';
 $lang['Add filters here'] = 'Buraya filtre ekle';
Index: /extensions/SmartAlbums/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/uk_UA/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/uk_UA/plugin.lang.php	(revision 16939)
@@ -24,5 +24,5 @@
 $lang['%d photos'] = '%d фотографій';
 $lang['%d photos associated to album %s'] = '%s фотографії, пов\'язані з альбомом %s';
-$lang['(can cause slowdowns on admin pages)'] = '(може привести до уповільнення роботи на сторінках адміністратора)';
+$lang['can cause slowdowns on admin pages'] = 'може привести до уповільнення роботи на сторінках адміністратора';
 $lang['Add a SmartAlbum'] = 'Додати смарт-альбом';
 $lang['Add filters here'] = 'Додати фільтр тут';
Index: /extensions/SmartAlbums/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/vi_VN/plugin.lang.php	(revision 16938)
+++ /extensions/SmartAlbums/language/vi_VN/plugin.lang.php	(revision 16939)
@@ -29,5 +29,5 @@
 $lang['Don\'t show this message again'] = 'Không hiển thị thông báo này nữa';
 
-$lang['(can cause slowdowns)'] = '(có thể làm chậm Piwwigo)';
+$lang['can cause slowdowns'] = 'có thể làm chậm Piwwigo';
 $lang['Above'] = 'Bên trên';
 $lang['Author is empty'] = 'Không có thông tin Tác giả';
Index: /extensions/SmartAlbums/main.inc.php
===================================================================
--- /extensions/SmartAlbums/main.inc.php	(revision 16938)
+++ /extensions/SmartAlbums/main.inc.php	(revision 16939)
@@ -17,16 +17,7 @@
 
 add_event_handler('invalidate_user_cache', 'smart_make_all_associations');
+add_event_handler('init', 'smart_init');
 
 include_once(SMART_PATH.'include/functions.inc.php');
-
-if (script_basename() == 'index')
-{
-  add_event_handler('loc_end_section_init', 'smart_init_page_items');
-  include_once(SMART_PATH.'include/page_items.php');
-}
-else if (script_basename() == 'admin')
-{
-  add_event_handler('init', 'smart_init');
-}
 
 function smart_init()
@@ -36,11 +27,18 @@
   load_language('plugin.lang', SMART_PATH);
   $conf['SmartAlbums'] = unserialize($conf['SmartAlbums']);
+  
+  if ( script_basename() == 'index' and $conf['SmartAlbums']['smart_is_forbidden'] )
+  {
+    add_event_handler('loc_end_section_init', 'smart_init_page_items');
+    include_once(SMART_PATH.'include/page_items.php');
+  }
+  else if (script_basename() == 'admin')
+  {
+    include_once(SMART_PATH.'include/cat_list.php');
     
-  include_once(SMART_PATH.'include/cat_list.php');
-  
-  
-  add_event_handler('loc_begin_cat_list', 'smart_cat_list');
-  add_event_handler('tabsheet_before_select','smart_tab', 50, 2); 
-  add_event_handler('get_admin_plugin_menu_links', 'smart_admin_menu');
+    add_event_handler('loc_begin_cat_list', 'smart_cat_list');
+    add_event_handler('tabsheet_before_select','smart_tab', EVENT_HANDLER_PRIORITY_NEUTRAL, 2); 
+    add_event_handler('get_admin_plugin_menu_links', 'smart_admin_menu');
+  }
 }
 
Index: /extensions/SmartAlbums/maintain.inc.php
===================================================================
--- /extensions/SmartAlbums/maintain.inc.php	(revision 16938)
+++ /extensions/SmartAlbums/maintain.inc.php	(revision 16939)
@@ -8,4 +8,5 @@
     'update_on_upload' => false,
     'show_list_messages' => true,
+    'smart_is_forbidden' => true,
     )));
 
@@ -37,6 +38,16 @@
     conf_update_param('SmartAlbums', smart_default_config);
   }
+  else
+  {
+    $new_conf = unserialize($conf['SmartAlbums']);
+    // new param in 2.0.2
+    if (!isset($new_conf['smart_is_forbidden']))
+    {
+      $new_conf['smart_is_forbidden'] = true;
+      conf_update_param('SmartAlbums', smart_default_config);
+    }
+  }
   
-  /* some filters renamed in 1.2 */
+  // some filters renamed in 2.0
   $name_changes = array(
     'the' => 'the_post',