Index: extensions/HistoryIPExcluder/trunk/language/lv_LV/description.txt
===================================================================
--- extensions/HistoryIPExcluder/trunk/language/lv_LV/description.txt	(revision 16951)
+++ extensions/HistoryIPExcluder/trunk/language/lv_LV/description.txt	(revision 16951)
@@ -0,0 +1,1 @@
+Izņem no vēstures vienu IP adresi vai veselu IP adrešu apgabalu un pie reģistrācijas pievieno to melnajam sarakstam 
Index: extensions/HistoryIPExcluder/trunk/language/lv_LV/index.php
===================================================================
--- extensions/HistoryIPExcluder/trunk/language/lv_LV/index.php	(revision 16951)
+++ extensions/HistoryIPExcluder/trunk/language/lv_LV/index.php	(revision 16951)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/HistoryIPExcluder/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/HistoryIPExcluder/trunk/language/lv_LV/plugin.lang.php	(revision 16951)
+++ extensions/HistoryIPExcluder/trunk/language/lv_LV/plugin.lang.php	(revision 16951)
@@ -0,0 +1,47 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Error_HIPE_BlacklistedIP'] = 'Kļūda! Jūsu IP adrese ir aizliegta. Jūs nevarat abonēt šo galeriju. Sīkākai informācijai sazinieties ar administrātoru. ';
+$lang['HIPE_CleanHist'] = 'Notīrīt vēsturi';
+$lang['HIPE_IPBlacklist_title'] = 'Reģistrācijas melnais saraksts';
+$lang['HIPE_IPBlacklisted'] = 'Novērst izslēgto (melnais saraksts) IP adrešu teģistrāciju galerijā';
+$lang['HIPE_IPByMember_description'] = 'Rādīt locekļu izmantotās IP adreses, sakārtotas pēs IP';
+$lang['HIPE_IPByMember'] = 'Locekļa izmantotās IP adreses';
+$lang['HIPE_IPForMember_description'] = 'Meklē un parāda ar reģistrētiem lietotājiem saistītas IP adreses (sakārtotas pēc IP)';
+$lang['HIPE_IPForMember'] = 'Loceklim paredzētās IP adreses';
+$lang['HIPE_IPnoGuest_description'] = ' ';
+$lang['HIPE_IPnoGuest'] = ' ';
+$lang['HIPE_MemberForIp_description'] = 'Meklē un parāda lietotājus, kas piesaistīti vienai IP adresei (sakārtoti pēc vārda)';
+$lang['HIPE_MemberForIp'] = 'Locekļi uz vienu IP adresi';
+$lang['HIPE_OnlyGuest_description'] = 'Rādīt tikai Viesu izmantotās IP adreses un to, cik reizes tās parādās vēstures sarakstā, sakārtotas pēc parādīšanās skaita';
+$lang['HIPE_OnlyGuest'] = 'Tikai Viesu IP adreses';
+$lang['HIPE_admin_description1'] = 'Lai izslēgtu, ievadiet pilnu IP adresi vai IP adrešu diapazonu (viena katrā rindā) lodziņā zemāk. Lai norādītu IP diapazonu, izmantojiet aizstājējzīmi "%" <br> Piemērs:74.6.1.2 vai 74,6% ';
+$lang['HIPE_admin_section1'] = 'IP adreses Izslēgšana';
+$lang['HIPE_admin_section2'] = 'Vaicājumi par vēstures sarakstu';
+$lang['HIPE_admin_section3'] = 'Vēsturiskā pieprasījuma rezultāts ';
+$lang['HIPE_description'] = 'Šis spraudnis ļauj izņemt no vēstures vienu IP adresi vai IP adrešu apgabalus.<br> Tie ir aktivācijas bloķēšanas ieraksti IP adrešu vēstures sarakstā zemāk esošajā tabulā.';
+$lang['HIPE_hist_cleaned'] = 'Vēstures saraksta tīrīšana pabeigta.';
+$lang['HIPE_resquet_ok'] = 'Pieprasījums OK.';
+$lang['HIPE_save_config'] = 'Konfigurācija saglabāta.';
+$lang['HIPE_version'] = ' - Versija: ';
+$lang['IP_geolocalisation'] = 'Ģeolokalizācija';
+?>