Index: /branches/2.4/tools/triggers_list.php
===================================================================
--- /branches/2.4/tools/triggers_list.php	(revision 16967)
+++ /branches/2.4/tools/triggers_list.php	(revision 16968)
@@ -26,5 +26,5 @@
   'name' => 'allow_increment_element_hit_count',
   'type' => 'trigger_event',
-  'vars' => array('bool' => 'content_not_set'),
+  'vars' => array('bool', 'content_not_set'),
   'files' => array('picture.php'),
 ),
@@ -32,5 +32,5 @@
   'name' => 'begin_delete_elements',
   'type' => 'trigger_action',
-  'vars' => array('array' => 'ids'),
+  'vars' => array('array', 'ids'),
   'files' => array('admin\include\functions.inc.php (delete_elements)'),
 ),
@@ -38,5 +38,5 @@
   'name' => 'blockmanager_apply',
   'type' => 'trigger_action',
-  'vars' => array('object' => 'menublock'),
+  'vars' => array('object', 'menublock'),
   'files' => array('include\block.class.php (BlockManager::apply)'),
   'infos' => 'use this trigger to modify existing menu blocks',
@@ -45,5 +45,5 @@
   'name' => 'blockmanager_prepare_display',
   'type' => 'trigger_action',
-  'vars' => array('object' => 'this'),
+  'vars' => array('object', 'this'),
   'files' => array('include\block.class.php (BlockManager::prepare_display)'),
 ),
@@ -51,5 +51,5 @@
   'name' => 'blockmanager_register_blocks',
   'type' => 'trigger_action',
-  'vars' => array('object' => 'menu'),
+  'vars' => array('object', 'menu'),
   'files' => array('include\block.class.php (BlockManager::load_registered_blocks)'),
   'infos' => 'use this trigger to add menu block',
@@ -58,5 +58,5 @@
   'name' => 'clean_iptc_value',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'value'),
+  'vars' => array('string', 'value'),
   'files' => array('include\functions_metadata.inc.php (clean_iptc_value)'),
 ),
@@ -64,5 +64,5 @@
   'name' => 'combined_css',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'href', 'int' => 'file_ver0', 'int' => 'file_ver1'),
+  'vars' => array('string', 'href', 'int', 'file_ver0', 'int', 'file_ver1'),
   'files' => array('include\template.class.php (Template::flush)'),
 ),
@@ -70,5 +70,5 @@
   'name' => 'combined_css_postfilter',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'css'),
+  'vars' => array('string', 'css'),
   'files' => array('include\template.class.php (Template::process_css)'),
 ),
@@ -76,5 +76,5 @@
   'name' => 'combined_script',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'ret', 'string' => 'script'),
+  'vars' => array('string', 'ret', 'string', 'script'),
   'files' => array('include\template.class.php (Template::make_script_src)'),
 ),
@@ -82,5 +82,5 @@
   'name' => 'delete_categories',
   'type' => 'trigger_action',
-  'vars' => array('array' => 'ids'),
+  'vars' => array('array', 'ids'),
   'files' => array('admin\include\functions.inc.php (delete_categories)'),
 ),
@@ -88,5 +88,5 @@
   'name' => 'delete_elements',
   'type' => 'trigger_action',
-  'vars' => array('array' => 'ids'),
+  'vars' => array('array', 'ids'),
   'files' => array('admin\include\functions.inc.php (delete_elements)'),
 ),
@@ -94,5 +94,5 @@
   'name' => 'delete_user',
   'type' => 'trigger_action',
-  'vars' => array('int' => 'user_id'),
+  'vars' => array('int', 'user_id'),
   'files' => array('admin\include\functions.inc.php (delete_user)'),
 ),
@@ -100,5 +100,5 @@
   'name' => 'element_set_global_action',
   'type' => 'trigger_action',
-  'vars' => array('string' => 'action', 'array' => 'collection'),
+  'vars' => array('string', 'action', 'array', 'collection'),
   'files' => array('admin\batch_manager_global.php'),
 ),
@@ -106,5 +106,5 @@
   'name' => 'format_exif_data',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'exif', 'string' => 'filename', 'array' => 'map'),
+  'vars' => array('array', 'exif', 'string', 'filename', 'array', 'map'),
   'files' => array('include\functions_metadata.inc.php (get_exif_data)'),
 ),
@@ -124,5 +124,5 @@
   'name' => 'get_admin_advanced_features_links',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'advanced_features'),
+  'vars' => array('array', 'advanced_features'),
   'files' => array('admin\maintenance.php'),
 ),
@@ -130,5 +130,5 @@
   'name' => 'get_admin_plugin_menu_links',
   'type' => 'trigger_event',
-  'vars' => array('array' => ''),
+  'vars' => array('array', null),
   'files' => array('admin.php'),
   'infos' => 'use this trigger to add links into admin plugins menu',
@@ -137,5 +137,5 @@
   'name' => 'get_admins_site_links',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'plugin_links', 'int' => 'site_id', 'bool' => 'is_remote'),
+  'vars' => array('array', 'plugin_links', 'int', 'site_id', 'bool', 'is_remote'),
   'files' => array('admin\site_manager.php'),
 ),
@@ -143,5 +143,5 @@
   'name' => 'get_batch_manager_prefilters',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'prefilters'),
+  'vars' => array('array', 'prefilters'),
   'files' => array('admin\batch_manager_global.php'),
   'infos' => 'use this trigger to add prefilters into batch manager global',
@@ -150,5 +150,5 @@
   'name' => 'get_categories_menu_sql_where',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'where', 'bool' => 'user_expand', 'bool' => 'filter_enabled'),
+  'vars' => array('string', 'where', 'bool', 'user_expand', 'bool', 'filter_enabled'),
   'files' => array('include\functions_category.inc.php (get_categories_menu)'),
 ),
@@ -156,5 +156,5 @@
   'name' => 'get_category_preferred_image_orders',
   'type' => 'trigger_event',
-  'vars' => array('array' => ''),
+  'vars' => array('array', null),
   'files' => array('include\functions_category.inc.php (get_category_preferred_image_orders)'),
 ),
@@ -162,5 +162,5 @@
   'name' => 'get_download_url',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'url', 'array' => 'element_info'),
+  'vars' => array('string', 'url', 'array', 'element_info'),
   'files' => array('include\functions_picture.inc.php (get_download_url'),
 ),
@@ -168,5 +168,5 @@
   'name' => 'get_element_metadata_available',
   'type' => 'trigger_event',
-  'vars' => array('bool' => '', 'string' => 'element_path'),
+  'vars' => array('bool', null, 'string', 'element_path'),
   'files' => array('picture.php'),
 ),
@@ -174,5 +174,5 @@
   'name' => 'get_element_url',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'url', 'array' => 'element_info'),
+  'vars' => array('string', 'url', 'array', 'element_info'),
   'files' => array('include\functions_picture.inc.php (get_element_url)'),
 ),
@@ -180,5 +180,5 @@
   'name' => 'get_high_location',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'location', 'array' => 'element_info'),
+  'vars' => array('string', 'location', 'array', 'element_info'),
   'files' => array('include\functions_picture.inc.php (get_high_location)'),
 ),
@@ -186,5 +186,5 @@
   'name' => 'get_high_url',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'url', 'array' => 'element_info'),
+  'vars' => array('string', 'url', 'array', 'element_info'),
   'files' => array('include\functions_picture.inc.php (get_high_url)'),
 ),
@@ -192,5 +192,5 @@
   'name' => 'get_history',
   'type' => 'trigger_event',
-  'vars' => array('array' => '', 'array' => 'page_search', 'array' => 'types'),
+  'vars' => array('array', null, 'array', 'page_search', 'array', 'types'),
   'files' => array('admin\history.php'),
 ),
@@ -198,5 +198,5 @@
   'name' => 'get_image_location',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'path', 'array' => 'element_info'),
+  'vars' => array('string', 'path', 'array', 'element_info'),
   'files' => array('include\functions_picture.inc.php (get_image_location)'),
 ),
@@ -204,5 +204,5 @@
   'name' => 'get_popup_help_content',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'help_content', 'string' => 'page'),
+  'vars' => array('string', 'help_content', 'string', 'page'),
   'files' => array('admin\popuphelp.php', 'popuphelp.php'),
 ),
@@ -210,5 +210,5 @@
   'name' => 'get_pwg_themes',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'themes'),
+  'vars' => array('array', 'themes'),
   'files' => array('include\functions.inc.php (get_pwg_themes)'),
 ),
@@ -216,5 +216,5 @@
   'name' => 'get_thumbnail_title',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'title', 'array' => 'info'),
+  'vars' => array('string', 'title', 'array', 'info'),
   'files' => array('include\functions.inc.php (get_thumbnail_title)'),
 ),
@@ -222,5 +222,5 @@
   'name' => 'get_comments_derivative_params',
   'type' => 'trigger_event',
-  'vars' => array('ImageStdParams' => null),
+  'vars' => array('ImageStdParams', null),
   'files' => array('comments.php'),
   'infos' => 'New in 2.4',
@@ -229,5 +229,5 @@
   'name' => 'get_index_album_derivative_params',
   'type' => 'trigger_event',
-  'vars' => array('ImageStdParams' => null),
+  'vars' => array('ImageStdParams', null),
   'files' => array('includecategory_cats.php', 'include\category_default.inc.php'),
   'infos' => 'New in 2.4',
@@ -236,5 +236,5 @@
   'name' => 'get_src_image_url',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'url', 'SrcImage' => 'this'),
+  'vars' => array('string', 'url', 'SrcImage', 'this'),
   'files' => array('include\derivative.inc.php (SrcImage::__construct)'),
   'infos' => 'New in 2.4',
@@ -243,5 +243,5 @@
   'name' => 'get_derivative_url',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'url', 'ImageStdParams' => null, 'SrcImage' => 'this', 'string' => 'rel_url'),
+  'vars' => array('string', 'url', 'ImageStdParams', null, 'SrcImage', 'this', 'string', 'rel_url'),
   'files' => array('include\derivative.inc.php (SrcImage::url, SrcImage::get_url)'),
   'infos' => 'New in 2.4',
@@ -257,5 +257,5 @@
   'name' => 'invalidate_user_cache',
   'type' => 'trigger_action',
-  'vars' => array('bool' => 'full'),
+  'vars' => array('bool', 'full'),
   'files' => array('admin\include\functions.inc.php (invalidate_user_cache)'),
 ),
@@ -263,5 +263,5 @@
   'name' => 'list_check_integrity',
   'type' => 'trigger_action',
-  'vars' => array('object' => 'this'),
+  'vars' => array('object', 'this'),
   'files' => array('admin\include\check_integrity.class.php (check_integrity::check)'),
 ),
@@ -269,5 +269,5 @@
   'name' => 'load_image_library',
   'type' => 'trigger_action',
-  'vars' => array('object' => 'this'),
+  'vars' => array('object', 'this'),
   'files' => array('admin\include\image.class.php (pwg_image::__construct)'),
 ),
@@ -275,5 +275,5 @@
   'name' => 'load_profile_in_template',
   'type' => 'trigger_action',
-  'vars' => array('array' => 'userdata'),
+  'vars' => array('array', 'userdata'),
   'files' => array('profile.php (load_profile_in_template)'),
 ),
@@ -341,5 +341,5 @@
   'name' => 'loc_begin_index_category_thumbnails',
   'type' => 'trigger_action',
-  'vars' => array('array' => 'categories'),
+  'vars' => array('array', 'categories'),
   'files' => array('include\category_cats.inc.php'),
 ),
@@ -347,5 +347,5 @@
   'name' => 'loc_begin_index_thumbnails',
   'type' => 'trigger_action',
-  'vars' => array('array' => 'pictures'),
+  'vars' => array('array', 'pictures'),
   'files' => array('include\category_default.inc.php'),
 ),
@@ -413,5 +413,5 @@
   'name' => 'loc_end_index_category_thumbnails',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'tpl_thumbnails_var', 'array' => 'categories'),
+  'vars' => array('array', 'tpl_thumbnails_var', 'array', 'categories'),
   'files' => array('include\category_cats.inc.php'),
 ),
@@ -419,5 +419,5 @@
   'name' => 'loc_end_index_thumbnails',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'tpl_thumbnails_var', 'array' => 'pictures'),
+  'vars' => array('array', 'tpl_thumbnails_var', 'array', 'pictures'),
   'files' => array('include\category_default.inc.php'),
 ),
@@ -456,5 +456,5 @@
   'name' => 'loc_visible_user_list',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'visible_user_list'),
+  'vars' => array('array', 'visible_user_list'),
   'files' => array('admin\user_list.php'),
 ),
@@ -462,5 +462,5 @@
   'name' => 'login_failure',
   'type' => 'trigger_action',
-  'vars' => array('string' => 'username'),
+  'vars' => array('string', 'username'),
   'files' => array('include\functions_user.inc.php (try_log_user)'),
 ),
@@ -468,5 +468,5 @@
   'name' => 'login_success',
   'type' => 'trigger_action',
-  'vars' => array('string' => 'username'),
+  'vars' => array('string', 'username'),
   'files' => array('include\functions_user.inc.php (auto_login, try_log_user)'),
 ),
@@ -474,5 +474,5 @@
   'name' => 'mail_group_assign_vars',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'assign_vars'),
+  'vars' => array('array', 'assign_vars'),
   'files' => array('include\functions_mail.inc.php (pwg_mail_group)'),
 ),
@@ -486,5 +486,5 @@
   'name' => 'nbm_render_global_customize_mail_content',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'customize_mail_content'),
+  'vars' => array('string', 'customize_mail_content'),
   'files' => array('admin\notification_by_mail.php (do_action_send_mail_notification)'),
 ),
@@ -492,5 +492,5 @@
   'name' => 'nbm_render_user_customize_mail_content',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'customize_mail_content', 'string' => 'nbm_user'),
+  'vars' => array('string', 'customize_mail_content', 'string', 'nbm_user'),
   'files' => array('admin\notification_by_mail.php (do_action_send_mail_notification)'),
 ),
@@ -498,5 +498,5 @@
   'name' => 'perform_batch_manager_prefilters',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'filter_sets', 'string' => 'session_prefilter'),
+  'vars' => array('array', 'filter_sets', 'string', 'session_prefilter'),
   'files' => array('admin\batch_manager.php'),
 ),
@@ -504,5 +504,5 @@
   'name' => 'picture_pictures_data',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'picture'),
+  'vars' => array('array', 'picture'),
   'files' => array('picture.php'),
 ),
@@ -516,5 +516,5 @@
   'name' => 'pwg_log_allowed',
   'type' => 'trigger_event',
-  'vars' => array('bool' => 'do_log', 'int' => 'image_id', 'string' => 'image_type'),
+  'vars' => array('bool', 'do_log', 'int', 'image_id', 'string', 'image_type'),
   'files' => array('include\functions.inc.php (pwg_log)'),
 ),
@@ -522,5 +522,5 @@
   'name' => 'register_user',
   'type' => 'trigger_action',
-  'vars' => array('array' => 'user'),
+  'vars' => array('array', 'user'),
   'files' => array('include\functions_user.inc.php (register_user)'),
 ),
@@ -528,5 +528,5 @@
   'name' => 'register_user_check',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'errors', 'array' => 'user'),
+  'vars' => array('array', 'errors', 'array', 'user'),
   'files' => array('include\functions_user.inc.php (register_user)'),
 ),
@@ -534,5 +534,5 @@
   'name' => 'render_category_description',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'category_description', 'string' => 'action'),
+  'vars' => array('string', 'category_description', 'string', 'action'),
   'files' => array('include\category_cats.inc.php', 'include\section_init.inc.php', 'include\ws_functions.inc.php (ws_categories_getList, ws_categories_getAdminList)'),
 ),
@@ -540,5 +540,5 @@
   'name' => 'render_category_literal_description',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'category_description'),
+  'vars' => array('string', 'category_description'),
   'files' => array('include\category_cats.inc.php'),
 ),
@@ -546,5 +546,5 @@
   'name' => 'render_category_name',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'category_name', 'string' => 'location'),
+  'vars' => array('string', 'category_name', 'string', 'location'),
   'files' => array('admin\cat_list.php', 'include\ws_functions.inc.php (ws_categories_getList, ws_categories_getAdminList, ws_categories_move)'),
 ),
@@ -552,5 +552,5 @@
   'name' => 'render_comment_author',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'comment_author'),
+  'vars' => array('string', 'comment_author'),
   'files' => array('admin\comments.php', 'comments.php', 'include\picture_comment.inc.php'),
 ),
@@ -558,5 +558,5 @@
   'name' => 'render_comment_content',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'comment_content'),
+  'vars' => array('string', 'comment_content'),
   'files' => array('admin\comments.php', 'comments.php', 'include\picture_comment.inc.php'),
 ),
@@ -564,5 +564,5 @@
   'name' => 'render_element_content',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'content', 'array' => 'current_picture'),
+  'vars' => array('string', 'content', 'array', 'current_picture'),
   'files' => array('picture.php'),
 ),
@@ -570,5 +570,5 @@
   'name' => 'render_element_description',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'element_name'),
+  'vars' => array('string', 'element_name'),
   'files' => array('include\functions.inc.php (get_picture_title)', 'picture.php'),
 ),
@@ -576,5 +576,5 @@
   'name' => 'render_lost_password_mail_content',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'message'),
+  'vars' => array('string', 'message'),
   'files' => array('password.php (process_password_request)'),
 ),
@@ -582,5 +582,5 @@
   'name' => 'render_page_banner',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'gallery_title'),
+  'vars' => array('string', 'gallery_title'),
   'files' => array('include\page_header.php'),
 ),
@@ -588,5 +588,5 @@
   'name' => 'render_tag_name',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'tag_name'),
+  'vars' => array('string', 'tag_name'),
   'files' => array('include\functions.php (get_taglist)', 'admin\tags.php', 'include\functions_tag.inc.php (get_available_tags, get_all_tags, get_common_tags)', 'index.php'),
 ),
@@ -594,5 +594,5 @@
   'name' => 'render_tag_url',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'tag_name'),
+  'vars' => array('string', 'tag_name'),
   'files' => array('include\functions.php (tag_id_from_tag_name, create_tag)', 'admin\tags.php'),
 ),
@@ -600,5 +600,5 @@
   'name' => 'save_profile_from_post',
   'type' => 'trigger_action',
-  'vars' => array('int' => 'user_id'),
+  'vars' => array('int', 'user_id'),
   'files' => array('profile.php (save_profile_from_post)'),
 ),
@@ -606,5 +606,5 @@
   'name' => 'send_mail',
   'type' => 'trigger_event',
-  'vars' => array('bool' => 'result', 'string' => 'mail_to', 'string' => 'mail_subject', 'string' => 'mail_content', 'array' => 'mail_headers'),
+  'vars' => array('bool', 'result', 'string', 'mail_to', 'string', 'mail_subject', 'string', 'mail_content', 'array', 'mail_headers'),
   'files' => array('include\functions_mail.inc.php (pwg_mail)'),
 ),
@@ -612,5 +612,5 @@
   'name' => 'send_mail_content',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'content'),
+  'vars' => array('string', 'content'),
   'files' => array('include\functions_mail.inc.php (pwg_mail)'),
 ),
@@ -618,5 +618,5 @@
   'name' => 'send_mail_headers',
   'type' => 'trigger_event',
-  'vars' => array('array' => 'headers'),
+  'vars' => array('array', 'headers'),
   'files' => array('include\functions_mail.inc.php (pwg_mail)'),
 ),
@@ -624,5 +624,5 @@
   'name' => 'send_mail_subject',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'cvt_subject'),
+  'vars' => array('string', 'cvt_subject'),
   'files' => array('include\functions_mail.inc.php (pwg_mail)'),
 ),
@@ -630,5 +630,5 @@
   'name' => 'send_mail_to',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'to'),
+  'vars' => array('string', 'to'),
   'files' => array('include\functions_mail.inc.php (pwg_mail)'),
 ),
@@ -636,5 +636,5 @@
   'name' => 'sendResponse',
   'type' => 'trigger_action',
-  'vars' => array('string' => 'encodedResponse'),
+  'vars' => array('string', 'encodedResponse'),
   'files' => array('include\ws_core.inc.php (PwgServer::sendResponse)'),
 ),
@@ -642,11 +642,18 @@
   'name' => 'set_status_header',
   'type' => 'trigger_action',
-  'vars' => array('int' => 'code', 'string' => 'text'),
+  'vars' => array('int', 'code', 'string', 'text'),
   'files' => array('include\functions_html.inc.php (set_status_header)'),
 ),
 array(
+  'name' => 'tabsheet_before_select',
+  'type' => 'trigger_event',
+  'vars' => array('array', 'sheets', 'string', 'tabsheet_id'),
+  'files' => array('include\tabsheet.class.php (tabsheet::select)'),
+  'infos' => 'New in 2.4, use this trigger to add tabs to a tabsheets',
+),
+array(
   'name' => 'trigger',
   'type' => 'trigger_action',
-  'vars' => array('array' => ''),
+  'vars' => array('array', null),
   'files' => array('include\functions_plugins.inc.php (trigger_event, trigger_action)'),
 ),
@@ -654,5 +661,5 @@
   'name' => 'user_comment_check',
   'type' => 'trigger_event',
-  'vars' => array('string' => 'comment_action', 'array' => 'comm'),
+  'vars' => array('string', 'comment_action', 'array', 'comm'),
   'files' => array('include\functions_comment.inc.php (insert_user_comment, update_user_comment)'),
   'infos' => 'use this trigger to add conditions on comment validation',
@@ -661,5 +668,5 @@
   'name' => 'user_comment_deletion',
   'type' => 'trigger_action',
-  'vars' => array('mixed' => 'comment_id'),
+  'vars' => array('mixed', 'comment_id'),
   'files' => array('include\functions_comment.inc.php (delete_user_comment)'),
   'infos' => '$comment_id is and int or an array of int',
@@ -668,5 +675,5 @@
   'name' => 'user_comment_insertion',
   'type' => 'trigger_action',
-  'vars' => array('array' => 'comm'),
+  'vars' => array('array', 'comm'),
   'files' => array('include\picture_comment.inc.php'),
 ),
@@ -674,5 +681,5 @@
   'name' => 'user_comment_validation',
   'type' => 'trigger_action',
-  'vars' => array('mixed' => 'comment_id'),
+  'vars' => array('mixed', 'comment_id'),
   'files' => array('include\functions_comment.inc.php (validate_user_comment)'),
   'infos' => '$comment_id is and int or an array of int',
@@ -681,5 +688,5 @@
   'name' => 'user_init',
   'type' => 'trigger_action',
-  'vars' => array('array' => 'user'),
+  'vars' => array('array', 'user'),
   'files' => array('include\user.inc.php'),
 ),
@@ -687,5 +694,5 @@
   'name' => 'ws_add_methods',
   'type' => 'trigger_action',
-  'vars' => array('object' => 'this'),
+  'vars' => array('object', 'this'),
   'files' => array('include\ws_core.inc.php (PwgServer::run)'),
 ),
@@ -693,5 +700,5 @@
   'name' => 'ws_invoke_allowed',
   'type' => 'trigger_event',
-  'vars' => array('bool' => '', 'string' => 'methodName', 'array' => 'params'),
+  'vars' => array('bool', null, 'string', 'methodName', 'array', 'params'),
   'files' => array('include\ws_core.inc.php (PwgServer::invoke)'),
 ),
@@ -744,9 +751,8 @@
     <td>'.$trigger['type'].'</td>
     <td>';
-    $f=1;
-    foreach ($trigger['vars'] as $type => $name)
+    for ($i=0; $i<count($trigger['vars']); $i+=2)
     {
-      if (!$f) echo ', '; $f=0;
-      echo $type.' '.(!empty($name)?'<i>$'.$name.'</i>':'');
+      if ($i>0) echo ', ';
+      echo $trigger['vars'][$i].' '.(!empty($trigger['vars'][$i+1])?'<i>$'.$trigger['vars'][$i+1].'</i>':null);
     }
     echo '