Index: /extensions/Metal/icon/index.php
===================================================================
--- /extensions/Metal/icon/index.php	(revision 16969)
+++ /extensions/Metal/icon/index.php	(revision 16970)
@@ -1,30 +1,60 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+
 // +-----------------------------------------------------------------------+
 
+// | Piwigo - a PHP based photo gallery                                    |
+
+// +-----------------------------------------------------------------------+
+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+
+// +-----------------------------------------------------------------------+
+
+// | This program is free software; you can redistribute it and/or modify  |
+
+// | it under the terms of the GNU General Public License as published by  |
+
+// | the Free Software Foundation                                          |
+
+// |                                                                       |
+
+// | This program is distributed in the hope that it will be useful, but   |
+
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+
+// | General Public License for more details.                              |
+
+// |                                                                       |
+
+// | You should have received a copy of the GNU General Public License     |
+
+// | along with this program; if not, write to the Free Software           |
+
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+
+// | USA.                                                                  |
+
+// +-----------------------------------------------------------------------+
+
+
+
 // Recursive call
+
 $url = '../';
+
 header( 'Request-URI: '.$url );
+
 header( 'Content-Location: '.$url );
+
 header( 'Location: '.$url );
+
 exit();
+
 ?>
+
Index: /extensions/Metal/icon/mimetypes/index.php
===================================================================
--- /extensions/Metal/icon/mimetypes/index.php	(revision 16969)
+++ /extensions/Metal/icon/mimetypes/index.php	(revision 16970)
@@ -1,30 +1,60 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+
 // +-----------------------------------------------------------------------+
 
+// | Piwigo - a PHP based photo gallery                                    |
+
+// +-----------------------------------------------------------------------+
+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+
+// +-----------------------------------------------------------------------+
+
+// | This program is free software; you can redistribute it and/or modify  |
+
+// | it under the terms of the GNU General Public License as published by  |
+
+// | the Free Software Foundation                                          |
+
+// |                                                                       |
+
+// | This program is distributed in the hope that it will be useful, but   |
+
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+
+// | General Public License for more details.                              |
+
+// |                                                                       |
+
+// | You should have received a copy of the GNU General Public License     |
+
+// | along with this program; if not, write to the Free Software           |
+
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+
+// | USA.                                                                  |
+
+// +-----------------------------------------------------------------------+
+
+
+
 // Recursive call
+
 $url = '../';
+
 header( 'Request-URI: '.$url );
+
 header( 'Content-Location: '.$url );
+
 header( 'Location: '.$url );
+
 exit();
+
 ?>
+
Index: /extensions/Metal/iconset.css
===================================================================
--- /extensions/Metal/iconset.css	(revision 16969)
+++ /extensions/Metal/iconset.css	(revision 16970)
@@ -1,70 +1,140 @@
 .pwg-icon {
+
 	display: inline-block; /*IE6 does not get this correctly*/
+
 	text-indent: -9999px; overflow: hidden; background-repeat: no-repeat;
+
 	width: 26px; height: 26px; background-image: url(Metalico/outline_ff7700.png);
+
 	vertical-align: bottom;
+
 }
 
+
+
 A:hover .pwg-icon {
+
 	background-image: url(Metalico/outline_ff3363.png);
+
 }
+
 .pwg-button-text { display:none; }
 
+
+
 .pwg-state-disabled .pwg-icon {
+
 	opacity: .5;
+
 	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
+
 	filter: alpha(opacity=50);
+
 }
 
+
+
 .pwg-button {
+
 	display: inline-block;
+
 	vertical-align: top;
+
 }
 
+
+
 .pwg-icon-home {background-position: -26px 0}
+
 .pwg-icon-camera {background-position: -52px 0}
+
 .pwg-icon-save {background-position: -78px 0}
+
 .pwg-icon-cloud {background-position: -104px 0}
+
 .pwg-icon-letters {background-position: -130px 0}
+
 .pwg-icon-calendar {background-position: -156px 0}
+
 .pwg-icon-camera-calendar {background-position: -182px 0}
 
+
+
 .pwg-icon-arrow-n {background-position: 0 -26px}
+
 .pwg-icon-arrow-e {background-position: -26px -26px}
+
 .pwg-icon-arrow-s {background-position: -52px -26px}
+
 .pwg-icon-arrow-w {background-position: -78px -26px}
+
 .pwg-icon-arrowstop-n {background-position: -104px -26px}
+
 .pwg-icon-arrowstop-e {background-position: -130px -26px}
+
 .pwg-icon-arrowstop-s {background-position: -156px -26px}
+
 .pwg-icon-arrowstop-w {background-position: -182px -26px}
 
+
+
 .pwg-icon-close {background-position: 0 -52px}
+
 .pwg-icon-category-edit {background-position: -26px -52px}
+
 .pwg-icon-category-view-normal {background-position: -156px -52px}
+
 .pwg-icon-category-view-flat {background-position: -182px -52px}
 
+
+
 .pwg-icon-caddie {background-position: 0 -78px}
+
 .pwg-icon-caddie-add {background-position: -26px -78px}
+
 .pwg-icon-caddie-del {background-position: -52px -78px}
+
 .pwg-icon-favorite {background-position: -78px -78px}
+
 .pwg-icon-favorite-add {background-position: -104px -78px}
+
 .pwg-icon-favorite-del {background-position: -130px -78px}
 
+
+
 .pwg-icon-camera-info {background-position: 0 -104px}
+
 .pwg-icon-representative {background-position: -26px -104px}
+
 .pwg-icon-edit {background-position: -52px -104px}
+
 .pwg-icon-register {background-position: -78px -104px}
+
 .pwg-icon-lost-password {background-position: -104px -104px}
 
+
+
 .pwg-icon-slideshow {background-position: 0 -130px}
+
 .pwg-icon-play {background-position: -26px -130px}
+
 .pwg-icon-pause {background-position: -52px -130px}
+
 .pwg-icon-stop {background-position: -78px -130px}
+
 .pwg-icon-clock-plus {background-position: -104px -130px}
+
 .pwg-icon-clock-minus {background-position: -130px -130px}
+
 .pwg-icon-repeat-play {background-position: -156px -130px}
+
 .pwg-icon-repeat-stop {background-position: -182px -130px}
 
+
+
 .pwg-icon-map {background-position: 0 -156px}
+
 .pwg-icon-globe {background-position: -26px -156px}
 
+
+
Index: /extensions/Metal/index.php
===================================================================
--- /extensions/Metal/index.php	(revision 16969)
+++ /extensions/Metal/index.php	(revision 16970)
@@ -1,49 +1,73 @@
 <?php
+
 
 // +-----------------------------------------------------------------------+
 
+
 // | PhpWebGallery - a PHP based picture gallery                           |
+
 
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
 
+
 // | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+
 
 // +-----------------------------------------------------------------------+
 
+
 // | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+
 
 // | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
 
+
 // | last modifier : $Author: rub $
+
 
 // | revision      : $Revision: 1912 $
 
+
 // +-----------------------------------------------------------------------+
+
 
 // | This program is free software; you can redistribute it and/or modify  |
 
+
 // | it under the terms of the GNU General Public License as published by  |
+
 
 // | the Free Software Foundation                                          |
 
+
 // |                                                                       |
+
 
 // | This program is distributed in the hope that it will be useful, but   |
 
+
 // | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+
 
 // | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
 
+
 // | General Public License for more details.                              |
+
 
 // |                                                                       |
 
+
 // | You should have received a copy of the GNU General Public License     |
+
 
 // | along with this program; if not, write to the Free Software           |
 
+
 // | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
 
+
 // | USA.                                                                  |
+
 
 // +-----------------------------------------------------------------------+
@@ -51,16 +75,25 @@
 
 
+
+
 // Recursive call
+
 
 $url = '../';
 
+
 header( 'Request-URI: '.$url );
+
 
 header( 'Content-Location: '.$url );
 
+
 header( 'Location: '.$url );
+
 
 exit();
 
+
 ?>
 
+
Index: /extensions/Metal/pem_metadata.txt
===================================================================
--- /extensions/Metal/pem_metadata.txt	(revision 16969)
+++ /extensions/Metal/pem_metadata.txt	(revision 16970)
@@ -1,4 +1,7 @@
 File automatically created from SVN repository.
 
+
+
 URL: http://piwigo.org/svn/extensions/Metal 
+
 Revision: 11112
Index: /extensions/Metal/theme.css
===================================================================
--- /extensions/Metal/theme.css	(revision 16969)
+++ /extensions/Metal/theme.css	(revision 16970)
@@ -1,7 +1,7 @@
 /* -----------------------------------------------------------------------------
-  Metal
+  Wall
   Theme for Piwigo
   ------------------------------------------------------------------------------
-  file: Metal/theme.css
+  file: Wall/theme.css
   file version: 0.1
   date: 2011-05-27
@@ -10,97 +10,89 @@
   << May the Little SpaceFrog be with you >>
 ----------------------------------------------------------------------------- */
-@import "iconset.css";
 /* text color */
 BODY, H1, H3, DT,
 INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
-  color:#993300;/*couleur du texte*/
-
-}
+color:#3F3F3F;/*couleur du texte*/
+}
+
 
 #content {
-  text-align:justify;
+text-align:justify;
 }
 
 H2, #menubar DT, .throw {
-  background-image:url(Images/tableh1_bg.png); 
-   color:#dedede; /*gris tres clair  */
+background-image:url(Images/tableh1_bg.png); /* gris tres clair color:#dedede;  */
 }
 
 .infoTable, .infoTable2 {
-  background-color: grey;
-  background-image: url(Images/mur1.jpg);
-	-moz-border-radius:10px;
-	-webkit-border-radius:10px;
-	border-radius:10px;
-        
- 
+background-color: none;
+background-image: none;
+-moz-border-radius:10px;
+-webkit-border-radius:10px;
+border-radius:10px;
 }
 
 #theImage p {
-  background-color: #FFFFFF;
-  background-image: url(Images/mur1.jpg);
-       	margin:auto;
-	width:40%;
-}
-
-#theImage p,
-.thumbnails SPAN.thumbLegend {
- 
-  background-color: #FFFFFF;
-  background-image: url(Images/mur1.jpg);
-        -moz-border-radius:10px;
-	-webkit-border-radius:10px;
-	border-radius:10px;
-        margin-top: 10px;
-        
-
+background-color: none;
+background-image: none;
+margin:auto;
+width:40%;
+}
+
+#theImage p, .thumbnails SPAN.thumbLegend {
+background-color: none;
+background-image: none;
+-moz-border-radius:10px;
+-webkit-border-radius:10px;
+border-radius:10px;
+margin-top: 10px;
 }
 
 
 #content .additional_info {
-  background-color: grey;
-  background-image: url(Images/mur1.jpg);
-  background-color:#404040;
-	-moz-border-radius:10px;
-	-webkit-border-radius:10px;
-	border-radius:10px;
-        
+background-color: grey;
+background-image: url(Images/mur1.jpg);
+background-color:#404040;
+-moz-border-radius:10px;
+-webkit-border-radius:10px;
+border-radius:10px;
 }
 
 #content .navigationBar {
-  color: #aaaaaa;
-  padding:0px;
-  margin:0px;
-  display:block;
-  background-color:#303030;
-  font-size:90%;
+color: #aaaaaa;
+padding:0px;margin:0px;
+display:block;
+background-color:#303030;
+font-size:90%;
 }
 
 #content .pageNumberSelected {
-  color: #000000;
+color: #000000;
 }
 
 
 .tabsheet li,
-.tabsheet li a { color: #fff#48e; }
-.tabsheet li a:hover { color: #fff48e; }
+.tabsheet li a {
+ color: #fff#48e;
+ }
+.tabsheet li a:hover { 
+color: #fff48e; 
+}
 
 /* backgrounds */
 BODY {
-  background-image:url(Images/mur.jpg);
+background-image:url(Images/mur.jpg);
 }
 
 H3, #the_page, #imageToolBar A:hover, .row1  {
-    background: transparent;
-}
-
-#menubar DL, #content, #imageToolBar, .header_notes, .content 
-{
-  background: transparent;
+background: transparent;
+}
+
+#menubar DL, #content, #imageToolBar, .header_notes, .content {
+background: transparent;
 }
 
 H2, #menubar DT, .throw, #imageHeaderBar  {
-  background-image: url(images/tableh1_bg.png);
-  background-color: #303030;
+background-color: #303030;          /*background-image: url(images/tableh1_bg.png);*/
 }
 
@@ -108,6 +100,6 @@
 
 #imageHeaderBar H2 {
-  background-image: url(Images/mur1.jpg);
-  border: none;
+background-image: url(Images/mur6.jpg);
+border: none;
 }
 
@@ -117,40 +109,40 @@
   background-position: center;
 } 
-.tabsheet li { background-color: #3f3f3f; }
-
-.selected_tab { background-color: #5f5f5f !important; }
+.tabsheet li {
+ background-color: #3f3f3f; 
+ }
+
+.selected_tab {
+ background-color: #5f5f5f !important; 
+ }
 
 /* borders */
-#menubar DL, #content, .content,
-#comments DIV.comment BLOCKQUOTE {
-  border: none;
+#menubar DL, #content, .content,#comments DIV.comment BLOCKQUOTE {
+border: none;
 }
 
 #imageHeaderBar {
-  border-top: 3px solid #000000;
-  background-image: url(Images/mur1.jpg);
-        -moz-border-radius:10px;
-	-webkit-border-radius:10px;
-	border-radius:10px
-}
-
-#menubar DL 
-{
-
- margin-bottom:-1px;
- border:1px solid #303030;
- background-image: url(Images/mur1.jpg)
+border-top: 5px solid #000000;
+background-image: url(Images/mur6.jpg);
+-moz-border-radius:10px;
+-webkit-border-radius:10px;
+border-radius:10px
+}
+
+#menubar DL {
+margin-bottom:-1px;
+border:1px solid #303030;
+background-image: url(Images/mur1.jpg);
 } 
 
 
-H2, #menubar DT, #imageToolBar {
-  border-bottom: 1px solid #cc0000;
+ H2, #menubar DT, #imageToolBar {
+  border-bottom: 0px solid #cc0000;
 } 
-
 #theImage img {
-  border: 8px solid #333333;/*cadre des photos moyenne*/
-  margin-top: 10px;
-  margin-bottom: 10px;
-}
+ border: 8px solid #333333;/*cadre des photos moyenne*/ 
+ margin-top: 10px;
+ margin-bottom: 10px;
+ }
 
 
@@ -158,114 +150,142 @@
 FIELDSET, INPUT , SELECT, TEXTAREA,
 #content DIV.comment  A.illustration IMG, #infos {
-  border: 1px solid gray;
+border: 1px solid gray;
 }
 
 #content DIV.thumbnailCategory {
-    border: none;
-    border:  8px #808080  outset ;
-    background-image:url(Images/mur5.jpg)
-}
-
-FIELDSET :disabled, INPUT:disabled, SELECT:disabled, TEXTAREA:disabled
-{
-  color:#404040;
-  background-color:#808080;
-}
+border: none;border:  4px #808080  outset ;
+background-image:url(Images/mur5.jpg);
+}
+
+FIELDSET :disabled, INPUT:disabled, SELECT:disabled, TEXTAREA:disabled{color:#404040; background-color:#808080;}
 
 #comments DIV.comment BLOCKQUOTE {
-  border-left: 15px solid #696969;
-  background-color: #404040;
-}
-
-
-
-#content UL.thumbnails SPAN.wrap2, .content .additional_info {
-  border: none; /* thumbnails border color and style */
-  -moz-border-radius: 8px;  /* round corners with Geko */
-  border-radius: 8px 8px; /* round corners with CSS3 compliant browsers */
-  background-image:url(Images/mur3.png);
-}
-
+ border-left: 15px solid #696969;
+ background-color: #404040;
+ }
+
+
+
+#content UL.thumbnails SPAN.wrap2{
+border: none; /* thumbnails border color and style */
+ -moz-border-radius: 8px; /* round corners with Geko */
+ border-radius: 8px 8px;/* round corners with CSS3 compliant browsers */
+ background-image:url(Images/mur3.jpg);
+  width :140px;
+ height : 140px;
+ margin-top:15px;
+ }
+ 
+#mbIdentification dt{
+color: #FFFFFF;
+}
+
+.thumbnails .wrap1 {
+    display: inline-block;
+    margin: 0 10px 5px;
+    text-align: center;
+    vertical-align: top;
+}
+
+#content UL.thumbnails .wrap2 a{
+ width :142px;
+ height : auto;
+ margin:auto;
+ 
+ }
+ 
 #content UL.thumbnails LI SPAN.wrap1 SPAN.wrap2:hover {
-  border-color: none;   /* thumbnails border color when mouse cursor is over it */
-  background-image:url(Images/mur4.png);
-}
-
-
-ul.tabsheet { border-color: #fff48e; }
-.tabsheet li { border: 1px solid #fff48e; }
-.tabsheet li:hover { border-color: #fff48e !important; }
+border-color: none;   /* thumbnails border color when mouse cursor is over it */
+background-image:url(Images/mur4.jpg);
+}
+
+.thumbName{
+background-image:url(Images/mur6.jpg);
+}
+
+
+ul.tabsheet {
+ border-color: #fff48e;
+ }
+.tabsheet li { 
+border: 1px solid #fff48e;
+}
+.tabsheet li:hover {
+ border-color: #fff48e !important;
+ }
 
 /* links */
 A, INPUT.rateButton {
-    color: #993300;/*texte lien menu pas selectionner*/
-    background: transparent;
-  border: none;
+color: #FFFFFF;/*texte lien menu pas selectionner*/
+background: transparent;border: none;
 }
 
 A:hover {
-  color: #CC6600;/*texte lien menu selectionner*/
-  border: none;
+color: #CC6600;/*texte lien menu selectionner*/
+border: none;
 }
 
 #imageToolBar A, #imageToolBar A:hover,
 A.navThumb, A.navThumb:hover {
-  border-bottom: none;
+border-bottom: none;
 }
 
 
 /* others */
-#menubar ul, #menubar form, #menubar p {
-  text-align:left;
+#menubar ul, #menubar form, #menubar p { 
+text-align:left;
 }
 
 #menubar ul {
-  margin-left:8px;
+margin-left:8px;
 }
 
 .pleaseNote {
-  background: #9c9c9c;
-  color: #ffff99;
-  padding: 1ex;
-  font-weight: bold;
-}
-
-#menubar .menuInfoCatByChild, 
-#menubar .menuInfoCat {
-  font-size:80%;
-  font-style:normal;
-  position:relative;
-  top:-4px;
+background: #9c9c9c;
+color: #ffff99;
+padding: 1ex;
+font-weight: bold;
+}
+
+#menubar .menuInfoCatByChild, #menubar .menuInfoCat {
+font-size:80%;
+font-style:normal;
+position:relative;
+top:-4px;
 }
 
 #imageHeaderBar {
-   background-image: none;
-}
-
-#the_page {
-  border: 0px solid #e0e0e0; 
-  padding-top: 5px;
-  padding-bottom:30px; 
-  text-align:center;
-  display:block;
+background-image: none;
+}
+
+#the_page {  /* border: 0px solid #e0e0e0; padding-top: 5px; padding-bottom:30px; */
+text-align:center;display:block;
 }
 
 #menubar p.totalImages {
-  text-align:right;
-  margin:2px;
-  font-size:80%
+text-align:right;
+margin:2px;
+font-size:80%;
 }
 
 /*calendar elements*/
-SPAN.calItemEmpty { color: silver; }
-
-SPAN.calItem, SPAN.calItemEmpty
-{
-  border: 1px solid gray;
-}
-
-.virtual_cat { background: #3f3f3f !important; }
-.qsearch { font-size: 80%; font-style: normal; }
-#mbMenu #quicksearch > p { text-align: left; }
+SPAN.calItemEmpty {
+ color: silver;
+ }
+
+SPAN.calItem, SPAN.calItemEmpty{
+border: 1px solid gray;
+}
+
+.virtual_cat { 
+background: #3f3f3f !important;
+ }
+.qsearch {
+ font-size: 80%; 
+ font-style: normal; 
+ }
+#mbMenu #quicksearch > p {
+ text-align: left; 
+ }
 
 
@@ -284,5 +304,13 @@
 
 div.illustration img {
-  border: 2px #333333 solid;
+ width :100px;
+ height : 76px;
+ margin-top:10px;
+ box-shadow: 8px 8px 12px #000000;
+ -webkit-box-shadow: 8px 8px 12px #000000;
+ -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=8, Direction=135, Color='#000000')";/* pour IE8 */  
+ border: ridge 1px;
+ border-radius:1em;
+ border-color:#3f3f3f;
 }
 
@@ -293,4 +321,5 @@
 .content ul.thumbnails img, #linkPrev img, #linkNext img {
   border:1px #333333 solid;
+  cellpadding:25px;
 }
 
@@ -308,9 +337,13 @@
 
 .rateButtonStarFull {
-  background: url('icon/rating-stars.png') no-repeat scroll; background-position:-16px center; width:16px;
+  background: url('icon/rating-stars.png') no-repeat scroll;
+  background-position:-16px center;
+  width:16px;
 }
 
 .rateButtonStarEmpty {
-  background: url('icon/rating-stars.png') no-repeat scroll; background-position:0 center; width:16px;
+  background: url('icon/rating-stars.png') no-repeat scroll; 
+  background-position:0 center;
+  width:16px;
 }
 
@@ -376,5 +409,5 @@
 
 div.description div.text p.Nb_images {
-  border-bottom:1px #303030 dotted; /*carres autour des miniatures*/
+  border-bottom:1px #303030 dotted;/*cares autour des miniatures*/
   font-style:italic;
   font-size:85%;
Index: /extensions/Metal/themeconf.inc.php
===================================================================
--- /extensions/Metal/themeconf.inc.php	(revision 16969)
+++ /extensions/Metal/themeconf.inc.php	(revision 16970)
@@ -1,17 +1,31 @@
 <?php
+
 /*
+
 Theme Name: Metal
+
 Version: auto
 
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=553
 
+
 Author: Sixpo
+
 Author URI: 
+
 */
 
+
+
 $themeconf = array(
+
   'theme' => 'Metal',
+
   'parent' => 'default',
+
   'icon_dir' => 'themes/Metal/icon',
+
 );
+
 ?>
+