Index: /extensions/charlies_content/language/cs_CZ/description.txt
===================================================================
--- /extensions/charlies_content/language/cs_CZ/description.txt	(revision 17024)
+++ /extensions/charlies_content/language/cs_CZ/description.txt	(revision 17025)
@@ -1,1 +1,1 @@
-Charlieho obsah je globální řešení neobrázkových spoborů.
+Charlieho obsah je globální řešení neobrázkových souborů.
Index: /extensions/charlies_content/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/cs_CZ/plugin.lang.php	(revision 17024)
+++ /extensions/charlies_content/language/cs_CZ/plugin.lang.php	(revision 17025)
@@ -112,3 +112,32 @@
 $lang['Subtitles file URL'] = 'URL souboru s titulky';
 $lang['Top border fading'] = 'Blednutí horního okraje';
+$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = 'URL|x|y : kde x, y jsou odsazení na umístění obrázku';
+$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = '.png bez průhlednosti jsou doporučeny. Možná můžeš změnit sadu opon podle sebe.';
+$lang['Active curtains'] = 'Aktivní opony';
+$lang['Bind your prefered extensions to a template file (player) from:'] = 'Připoj oblíbenou příponu k šablonovému souboru (přehrávači) z:';
+$lang['Charlies player template-mimetype association'] = 'Přiřazení mimetype šablon k Charlieho přehrávači';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Použití barev může být pouze informační (přehrávače je mohou ignorovat nebo použit odlišně)';
+$lang['Config by element'] = 'Nastavení podle prvku';
+$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'Info: všechna tato nastavení mohou nebo nemusí být použita  plovoucím přehrávačem (šablonou).';
+$lang['Filename.srt might be use for captioning'] = 'Soubor .srt může být použit pro titulkování';
+$lang['Filename.txt might be use as config.txt file'] = 'Soubor .txt může být použit jako soubor nastavení (config.txt)';
+$lang['Filename.xml might be use as config.xml file'] = 'Soubor .xml může být použit jako soubor nastavení (config.xml)';
+$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Neplatný kód barvy: 3 nebo 6 hexadecimálních znaků, kterým předchází "#"';
+$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Pozn.: Tato nastavení jsou dostupná v Maxi FLV Playeru. Více informací k těmto volbám:';
+$lang['Onclick URL'] = 'URL po kliknutí';
+$lang['Players colours selection'] = 'Výběr barev přehrávače';
+$lang['Reset ALL Charlies\' configuration'] = 'Obnov VŠECHNA Charlieho nastavení';
+$lang['Reset ALL Confirmation'] = 'Obnov VŠECHNA potvrzení';
+$lang['Show subtitles switch'] = 'Vypínač zobrazení titulků';
+$lang['Subtitleling'] = 'Titulkování';
+$lang['Titleling'] = 'Titulkování';
+$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = 'Neznámý soubor nebo chybný URL|x|y definice (x a y musí být čísla)';
+$lang['Use existing .txt to config'] = 'Použij existující .txt do nastavení';
+$lang['Use existing .xml to config'] = 'Použij existující .xml do nastavení';
+$lang['Video buffer percent message'] = 'Zpráva o procentech vyrovnávací paměti videa';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol 
+    developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Špatné jméno souboru, RTMP (Real Time Messaging Protocol) je na TCP založený proprietární protokol, vyvinutý Adobe System za účelem streamování audio/video dat mezi Flash Playerem a media serverem.';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'Jste rádce a nejste oprávněn měnit toto nastavení.';
+$lang['Your configuration is NOT saved due to above reasons.'] = 'Vaše nastavení NEBYLO uloženo z výše uvedených důvodů.';
+$lang['or fullscreen or playpause or none'] = 'nebo celoobrazovkový nebo playpause nebo žádný';
 ?>