Index: /extensions/Wall/Wall/index.php
===================================================================
--- /extensions/Wall/Wall/index.php	(revision 17057)
+++ /extensions/Wall/Wall/index.php	(revision 17058)
@@ -1,66 +1,33 @@
 <?php
-
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
 // +-----------------------------------------------------------------------+
 
-// | PhpWebGallery - a PHP based picture gallery                           |
-
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
-
-// +-----------------------------------------------------------------------+
-
-// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
-
-// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
-
-// | last modifier : $Author: rub $
-
-// | revision      : $Revision: 1912 $
-
-// +-----------------------------------------------------------------------+
-
-// | This program is free software; you can redistribute it and/or modify  |
-
-// | it under the terms of the GNU General Public License as published by  |
-
-// | the Free Software Foundation                                          |
-
-// |                                                                       |
-
-// | This program is distributed in the hope that it will be useful, but   |
-
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-
-// | General Public License for more details.                              |
-
-// |                                                                       |
-
-// | You should have received a copy of the GNU General Public License     |
-
-// | along with this program; if not, write to the Free Software           |
-
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-
-// | USA.                                                                  |
-
-// +-----------------------------------------------------------------------+
-
-
-
 // Recursive call
-
 $url = '../';
-
 header( 'Request-URI: '.$url );
-
 header( 'Content-Location: '.$url );
-
 header( 'Location: '.$url );
-
 exit();
-
 ?>
-
Index: /extensions/Wall/Wall/pem_metadata.txt
===================================================================
--- /extensions/Wall/Wall/pem_metadata.txt	(revision 17057)
+++ /extensions/Wall/Wall/pem_metadata.txt	(revision 17058)
@@ -1,4 +1,4 @@
 File automatically created from SVN repository.
 
-URL: http://piwigo.org/svn/extensions/Wall 
-Revision: 12713
+URL: http://piwigo.org/svn/extensions/flop_mauve/current 
+Revision: 10034
Index: /extensions/Wall/Wall/theme.css
===================================================================
--- /extensions/Wall/Wall/theme.css	(revision 17057)
+++ /extensions/Wall/Wall/theme.css	(revision 17058)
@@ -1,130 +1,179 @@
-/* -----------------------------------------------------------------------------
-  Wall
-  Theme for Piwigo
-  ------------------------------------------------------------------------------
-  file: Wall/theme.css
-  file version: 0.1
-  date: 2011-05-27
-  ------------------------------------------------------------------------------
-  author: Sixpo
-  << May the Little SpaceFrog be with you >>
------------------------------------------------------------------------------ */
+/*catégories*/
+
+
+BODY#theCategoryPage .thumbnailCategories {
+	padding-left:auto;
+	padding-right:auto;
+	list-style: none outside none;
+	text-align: center;
+	background:none;
+}
+BODY#theCategoryPage .thumbnailCategories li {
+	width: auto;
+	float: none;
+	display:inline-block;
+	text-align:center;
+	margin-left:10px;
+	
+}
+BODY#theCategoryPage div.thumbnailCategory div.illustration {
+	width:auto;
+	height:auto;
+	/*height:135px;*/
+    text-align:center;
+	overflow: inherit;
+	float:none;
+	margin: 0;
+	padding: 0;
+	
+}
+BODY#theCategoryPage div.thumbnailCategory div.description {   /*fond de description cathegotire et photos*/
+    position:relative;
+	width:300px;              
+	height:auto;
+	text-align:center;
+	overflow:inherit;
+	margin-left:35%;
+	margin-top:-100px;
+    font-size:14px     /*taille police titre cathegorie*/
+}
+
+
+BODY#theCategoryPage div.thumbnailCategory div.description IMG { /*logo pour signaler nouvaute dans la cathegorie*/
+float:center;
+	
+}
+
+BODY#theCategoryPage div.thumbnailCategory div.description p {
+    float:center;
+    width:87%;              
+	height:120px;
+	text-align: center;
+	margin-top:-120px;
+	margin-left:15px;
+    font-size:12px;
+	padding:10px;
+	
+
+	
+}	
+
+
+
+BODY#theCategoryPage div.thumbnailCategory div.description div.text p.Nb_images{ /*nombres de photos*/
+    width:160px;
+	height:5px;
+	text-align: left;
+	margin-top:75px;
+	margin-left:-155px;
+    font-size:10px;
+
+}
+BODY#theCategoryPage div.thumbnailCategory {
+	display: inline-block;
+	margin: 5px auto;
+	padding:5px;
+	vertical-align: middle;
+	width:450px;
+	height:135px;
+	text-align: center;
+    background-image:url(images/mur1.jpg);
+	 box-shadow: 8px 8px 12px #000000;
+    -webkit-box-shadow: 8px 8px 12px #000000;
+    -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=8, Direction=135, Color='#000000')";/* pour IE8 */  
+    border: ridge 1px;
+    border-radius:1em;
+    border-color:#3f3f3f;
+}
+BODY#theCategoryPage div.thumbnailCategory * {
+	vertical-align: middle;
+}
+BODY#theCategoryPage div.thumbnailCategory div.illustration img { /*taille et forme photo cathegorie*/
+    width:160px;
+	height: 96px;
+	margin-left: -225px;
+	margin-top:10px;
+	box-shadow: 8px 8px 12px #000000;
+    -webkit-box-shadow: 8px 8px 12px #000000;
+    -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=8, Direction=135, Color='#000000')";/* pour IE8 */  
+    border: ridge 1px;
+    border-radius:1em;
+    border-color:#3f3f3f;
+}
+
+
+BODY#theCategoryPage div.thumbnailCategory div.description h3 {
+	text-align:center;
+}
+#la_description {
+	display:none;
+}
 /* text color */
-BODY, H1, H3, DT,
-INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
-color:#FFFFFF;/*couleur du texte*/
-}
-
-#content {
-text-align:justify;
-}
-
+BODY, H1, H3, DT, INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+	color:#e0e0e0;
+}
 H2, #menubar DT, .throw {
-background-image:url(Images/tableh1_bg.png); /* gris tres clair color:#dedede;  */
-}
-
-.infoTable, .infoTable2 {
-background-color: none;
-background-image: none;
--moz-border-radius:10px;
--webkit-border-radius:10px;
-border-radius:10px;
-}
-
-#theImage p {
-background-color: none;
-background-image: none;
-margin:auto;
-width:40%;
-}
-
-#theImage p, .thumbnails SPAN.thumbLegend {
-background-color: none;
-background-image: none;
--moz-border-radius:10px;
--webkit-border-radius:10px;
-border-radius:10px;
-margin-top: 10px;
-}
-
-
-#content .additional_info {
-background-color: grey;
-background-image: url(Images/mur1.jpg);
-background-color:#404040;
--moz-border-radius:10px;
--webkit-border-radius:10px;
-border-radius:10px;
-}
-
+	color: #ffffff;
+}
 #content .navigationBar {
-color: #aaaaaa;
-padding:0px;margin:0px;
-display:block;
-background-color:#303030;
-font-size:90%;
-}
-
+	color: #aaaaaa;
+}
 #content .pageNumberSelected {
-color: #000000;
-}
-
-
-.tabsheet li,
-.tabsheet li a {
- color: #fff#48e;
- }
-.tabsheet li a:hover { 
-color: #fff48e; 
-}
-
+	color: #000000;
+}
+.tabsheet li, .tabsheet li a {
+	color: #fff;
+}
+.tabsheet li a:hover {
+	color: #fff48e;
+}
 /* backgrounds */
 BODY {
-background-image:url(Images/mur.jpg);
-}
-
-H3, #the_page, #imageToolBar A:hover, .row1  {
-background: transparent;
-}
-
+	background-image: url(images/mur.jpg);
+}
+BODY#theCategoryPage #the_page {
+	background:transparent;
+	background-repeat: repeat;
+	background-attachment: fixed;
+	border: none;
+}
+BODY#thePicturePage #theHeader {
+	background:transparent;
+}
+H3, #the_page, #imageHeaderBar, #imageToolBar A:hover, .row1 {
+	background:transparent; 
+}
 #menubar DL, #content, #imageToolBar, .header_notes, .content {
-background: transparent;
-}
-
-H2, #menubar DT, .throw, #imageHeaderBar  {
-background-color: #303030;          /*background-image: url(images/tableh1_bg.png);*/
-}
-
-
-
+	background: transparent;
+}
+H2, #menubar DT, .throw {
+	background-image: url(images/tableh1_bg.png);
+}
 #imageHeaderBar H2 {
-background-image: url(Images/mur6.jpg);
-border: none;
-}
-
- #imageHeaderBar {
-  background-image: url(images/tableh2_bg.png);
-  background-repeat: repeat-x;
-  background-position: center;
-} 
+	background-image: none;
+	background-color: transparent;
+	border: none;
+}
+#imageHeaderBar {
+	background-image: url(images/tableh2_bg.png);
+	background-repeat: repeat-x;
+	background-position: center;
+}
 .tabsheet li {
- background-color: #3f3f3f; 
- }
-
+	background-color: #3f3f3f;
+}
 .selected_tab {
- background-color: #5f5f5f !important; 
- }
-
+	background-color: #5f5f5f !important;
+}
 /* borders */
 #menubar DL, #content, .content,#comments DIV.comment BLOCKQUOTE {
 border: none;
 }
-
 #imageHeaderBar {
-border-top: 5px solid #000000;
-background-image: url(Images/mur6.jpg);
--moz-border-radius:10px;
--webkit-border-radius:10px;
-border-radius:10px
+background-image: url(images/mur1.jpg);
+box-shadow: 8px 8px 12px #000000;
+-webkit-box-shadow: 8px 8px 12px #000000;
+-ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=8, Direction=135, Color='#000000')";/* pour IE8 */  
+border-radius:1em;
 }
 
@@ -132,5 +181,5 @@
 margin-bottom:-1px;
 border:1px solid #303030;
-background-image: url(Images/mur1.jpg);
+background-image:url(images/mur1.jpg);
 } 
 
@@ -144,341 +193,122 @@
  margin-bottom: 10px;
  }
-
-
-
-FIELDSET, INPUT , SELECT, TEXTAREA,
-#content DIV.comment  A.illustration IMG, #infos {
-border: 1px solid gray;
-}
-
-#content DIV.thumbnailCategory {
-border: none;border:  4px #808080  outset ;
-background-image:url(Images/mur1.jpg);
-}
-
-FIELDSET :disabled, INPUT:disabled, SELECT:disabled, TEXTAREA:disabled{color:#404040; background-color:#808080;}
-
+}
+#content UL.thumbnail IMG {
+	border: 1px solid #a0a0a0;
+}
+FIELDSET, INPUT, SELECT, TEXTAREA, #content DIV.comment A.illustration IMG, #infos, #content DIV.thumbnailCategory {
+	border: 1px solid #303030;; /*bordure de photos */
+}
 #comments DIV.comment BLOCKQUOTE {
- border-left: 15px solid #696969;
- background-color: #404040;
- }
-
-.thumbnails .wrap1 {          /*disposition des vinettes de cathegrie*/
-    display: inline-block;
-    margin: 0 10px 5px;
-    text-align: center;
-    vertical-align: top;
-}
-
-
-#content UL.thumbnails SPAN.wrap2{
-border: none; /* thumbnails border color and style */
- -moz-border-radius: 8px; /* round corners with Geko */
- border-radius: 8px 8px;/* round corners with CSS3 compliant browsers */
- background-image:url(Images/mur3.jpg);
-  width :140px;
- height : 140px;
- margin-top:15px;
- }
- 
-
-
-
-#content UL.thumbnails .wrap2 a{
- width :142px;
- height : auto;
- margin:auto;
- 
- }
- 
-#content UL.thumbnails LI SPAN.wrap1 SPAN.wrap2:hover {
-border-color: none;   /* thumbnails border color when mouse cursor is over it */
-background-image:url(Images/mur5.jpg);
-}
-
+	border-left: 2px solid #696969;
+}
+	
+#content UL.thumbnails SPAN, .thumbnails .wrap2 A, .thumbnails LABEL { /*taille miniatures album*/
+    width: 190px;
+    margin-left:30px;
+}	
+
+
+#content UL.thumbnails SPAN.wrap2 {
+    background-image:url(images/mur3.jpg);
+	border: 1px solid #aaaaaa;	/* thumbnails border color and style */
+	-moz-border-radius: 10px;	/* round corners with Geko */
+	border-radius: 10px 10px;	/* round corners with CSS3 compliant browsers */
+}
+#content UL.thumbnails SPAN.wrap2:hover, #content UL.thumbnailCategories DIV.thumbnailCategory:hover{
+	border-color: none;   /* thumbnails border color when mouse cursor is over it */
+    background-image:url(images/mur7.jpg);
+	-moz-border-radius: 10px;	/* round corners with Geko */
+	border-radius: 10px 10px;	/* round corners with CSS3 compliant browsers */
+}
+#content UL.thumbnailCategories DIV.thumbnailCategory:hover A{
+    color: #6D071A;    /*couleur lien cathegorie selactiopnner*/
+}
+#content UL.thumbnailCategories DIV.thumbnailCategory:hover {
+    color: #6D071A;   /*couleur texte cathegorie selectionner*/
+}
 
 ul.tabsheet {
- border-color: #fff48e;
- }
-.tabsheet li { 
-border: 1px solid #fff48e;
+	border-color: #fff48e;
+}
+.tabsheet li {
+	border: 1px solid #fff;
 }
 .tabsheet li:hover {
- border-color: #fff48e !important;
- }
-
+	border-color: #fff48e !important;
+}
 /* links */
 A, INPUT.rateButton {
-color: #FFFFFF;/*texte lien menu pas selectionner*/
-background: transparent;border: none;
-}
-
+	color: #FFFFFF;
+}
 A:hover {
-color: #CC6600;/*texte lien menu selectionner*/
+color: #CC6600;                      /*texte lien menu selectionner*/
 border: none;
 }
-
-#imageToolBar A, #imageToolBar A:hover,
-A.navThumb, A.navThumb:hover {
-border-bottom: none;
-}
-
-
+#imageToolBar A, #imageToolBar A:hover, A.navThumb, A.navThumb:hover {
+    color: #CC6600;                   /*texte lien cathegorie selectionner*/
+	border-bottom: none;
+}
+#theHeader A {
+	text-decoration: none;
+	margin: 0px;
+	padding: 0px;
+}
 /* others */
-#menubar ul, #menubar form, #menubar p { 
-text-align:left;
-}
-
-#menubar ul {
-margin-left:8px;
-}
-
+.thumbnailCategories blockquote UL LI {
+	list-style-position: outside;
+	list-style-type:circle;
+	background:red;
+}
+.thumbnailCategories blockquote OL LI {
+	list-style-position: outside;
+	list-style-type: decimal;
+}
 .pleaseNote {
-background: #9c9c9c;
-color: #ffff99;
-padding: 1ex;
-font-weight: bold;
-}
-
-#menubar .menuInfoCatByChild, #menubar .menuInfoCat {
-font-size:80%;
-font-style:normal;
-position:relative;
-top:-4px;
-}
-
-#imageHeaderBar {
-background-image: none;
-}
-
-#the_page {  /* border: 0px solid #e0e0e0; padding-top: 5px; padding-bottom:30px; */
-text-align:center;display:block;
-}
-
-#menubar p.totalImages {
-text-align:right;
-margin:2px;
-font-size:80%;
-}
-
+	background: #9c9c9c;
+	color: #ffff99;
+	padding: 1ex;
+	font-weight: bold;
+}
+#the_page {
+	border: none;    /*page photos*/
+	padding-top: 5px;
+	padding-bottom:30px;
+	display:block;
+}
+.pwg-icon {
+	background-image: url(../default/s26/outline_ffffff.png);
+}
+A:hover .pwg-icon {
+	background-image: url(../default/s26/outline_ffff80.png);
+}
 /*calendar elements*/
 SPAN.calItemEmpty {
- color: silver;
- }
-
-SPAN.calItem, SPAN.calItemEmpty{
-border: 1px solid gray;
-}
-
-.virtual_cat { 
-background: #3f3f3f !important;
- }
+	color: silver;
+}
+SPAN.calItem, SPAN.calItemEmpty {
+	border: 1px solid gray;
+}
+/* nice looking month calendar*/
+TD.calDayCellEmpty, TD.calDayCellFull {
+	border: 1px solid gray;
+}
+TD.calDayCellEmpty {
+	color: silver;
+}
+.calBackDate {
+	color: #000;
+}
+.calForeDate {
+	color: #fff;
+}
+.virtual_cat {
+	background: #3f3f3f !important;
+}
 .qsearch {
- font-size: 80%; 
- font-style: normal; 
- }
+	font-size: 80%;
+	font-style: normal;
+}
 #mbMenu #quicksearch > p {
- text-align: left; 
- }
-
-
-/* button image in menu bar : no border */
-#menubar .button {
-  border: none;
-  margin:0px;
-  margin-top:-4px;
-  margin-bottom:-3px;
-  padding:0px;
-}
-#menubar dt {
-  text-align: left;
-  height:21px;
-}
-
-div.illustration img {
- width :120px;
- height : 76px;
- margin-top:10px;
- box-shadow: 8px 8px 12px #000000;
- -webkit-box-shadow: 8px 8px 12px #000000;
- -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=8, Direction=135, Color='#000000')";/* pour IE8 */  
- border: ridge 1px;
- border-radius:1em;
- border-color:#3f3f3f;
-}
-
-.thumbLink {
-  border:2px #333333 solid;
-}
-
-.content ul.thumbnails img, #linkPrev img, #linkNext img {
-  border:1px #333333 solid;
-  cellpadding:25px;
-}
-
-#content UL.thumbnail IMG {
-  border: 1px solid #a0a0a0;
-}
-
-#imageToolBar a {
-  width:30px;
-}
-
-form#quickconnect fieldset {
-  border:1px #101010 solid;
-}
-
-.rateButtonStarFull {
-  background: url('icon/rating-stars.png') no-repeat scroll;
-  background-position:-16px center;
-  width:16px;
-}
-
-.rateButtonStarEmpty {
-  background: url('icon/rating-stars.png') no-repeat scroll; 
-  background-position:0 center;
-  width:16px;
-}
-
-.header_notes {
-  background-image:url(icon/note.png);
-}
-
-
-.content h2 {
-  margin-bottom:0px;
-}
-
-.content ul.thumbnails {
-  border:1px solid #303030;
-  margin:0pt;
-  padding:8px;
-}
-
-.content div.titrePage {
-  padding:0px;
-  margin:0px;
-  min-height:32px;
-  display:block;
-  background-color:#303030;
-}
-
-.description {
-  text-align:left;
-}
-
-
-#linkPrev img, #linkNext img {
-  margin:0px;
-  margin-top:20px;
-  padding:0px;
-}
-#linkPrev img {
-  margin-left:10px;
-}
- #linkNext img {
-  margin-right:10px;
-}
-
-ul.categoryActions {
-  height:28px;
-  padding:2px;
-}
-
-#content .additional_info {
-  margin:20px 0px ;
-  padding:8px;
-}
-
-div.description div.text {
-  text-align:justify;
-}
-
-div.description div.text p {
-  padding-right:6px;
-  position:relative;
-  top:-6px;
-}
-
-div.description div.text p.Nb_images {
-  border-bottom:1px #303030 dotted;/*cares autour des miniatures*/
-  font-style:italic;
-  font-size:85%;
-  text-align:right;
-}
-
-
-/* -----------------------------------------------------------------------------
-    Calendar
------------------------------------------------------------------------------ */
-.content div.calendarViews {
-  margin-top:-22px;
-}
-
-/* month calendar */
-.calBackDate {
-  color: #000;
-  padding-left:10px;
-  padding-top:7px;
-}
-.calForeDate {
-  color: #fff;
-  padding-left:11px;
-  padding-top:6px;
-}
-
-td.calDayCellFull, td.calDayCellEmpty, td.calDayCellBlank
-{
-  font-size:18px;
-  font-weight:bold;
-  text-align:left;
-  vertical-align:top;
-}
-
-table.calMonth tbody td.calDayCellEmpty, table.calMonth tbody td.calDayCellBlank
-{
-  width:84px;
-  height:97px;
-}
-
-table.calMonth tbody td.calDayCellFull
-{
-  width:96px;
-  height:97px;
-}
-
-
-td.calDayCellEmpty {
-  padding-left:12px;
-  padding-top:7px;
-  color:#303030;
-}
-
-td.calDayCellEmpty, td.calDayCellFull {
-  border:1px solid #101010;
-}
-
-table.calMonth tbody td {
-  margin:8px;
-}
-
-table.calMonth tbody td div.calImg {
-  left:8px;
-  top:8px;
-}
-
-td.calDayHead {
-  font-size:14px;
-  padding-bottom:12px;
-  font-weight:normal;
-}
-
-/* lists */
-span.calItem, span.calItemEmpty {
-  display:inline-table;
-  margin:1px;
-  min-width:15px;
-  padding-left:2px;
-  padding-right:2px;
-}
-
+	text-align: left;
+}
Index: /extensions/Wall/Wall/themeconf.inc.php
===================================================================
--- /extensions/Wall/Wall/themeconf.inc.php	(revision 17057)
+++ /extensions/Wall/Wall/themeconf.inc.php	(revision 17058)
@@ -1,19 +1,23 @@
 <?php
-
 /*
 Theme Name: Wall
 Version: auto
-Description: Wall
+Description: tableau accroché au mur
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=542
 Author: Sixpo
 Author URI: 
 */
+$themeconf = array(
+  'name' => 'Wall',
+  'parent'        => 'default',
+  'icon_dir'      => 'themes/default/icon',
+  'mime_icon_dir' => 'themes/default/icon/mimetypes/',
+  'local_head'		=> 'local_head.tpl',
+  );
 
-$themeconf = array(
-'theme' => 'Wall',
-'parent' => 'default',
-'icon_dir' => 'themes/Wall/icon',
-);
+$conf['level_separator'] = ' &raquo; ';
+$conf['paginate_pages_around'] = 7;
+$conf['show_picture_name_on_title'] = false;
+$conf['show_thumbnail_caption'] = false;
 
 ?>
-