Index: extensions/hotlink_compatibility/language/pl_PL/desc_content.html
===================================================================
--- extensions/hotlink_compatibility/language/pl_PL/desc_content.html	(revision 17085)
+++ extensions/hotlink_compatibility/language/pl_PL/desc_content.html	(revision 17085)
@@ -0,0 +1,8 @@
+Piwigo 2.4 wprowadza funkcję wielu rozmiarów, która zawiera wiele zmian technicznych, szczególnie w systemie plików: zamiast 2 lub 3 wersji poszczególnych zdjęć (wielkość internetowa, miniatura, wysoka rozdzielczość), teraz przechowywana jest jedynie wersja oryginalna w katalogach <i> upload </i> i <i> galleries </i>. W wyniku czego:
+<ul>
+   <li> linki do "wielkości internetowej" prowadzą teraz do oryginałów </li>
+   <li> linki do wersji wysokiej jakości nie działają </li>
+   <li> linki do miniatur nie działają </li>
+</ul>
+By rozwiązać ten problem, stworzyliśmy ten plugin, który próbuje utworzyć lub zmodyfikować plik .htaccess w głównym katalogu instalacji. Ten plik zawiera zasady tworzenia adresów URL informujące hosta, że linki do zdjęć się zmieniły.
+<b> Jeśli nie używasz linków do zdjęć w swojej galerii możesz ominąć tę aktualizację i usunąć ten plugin. </b>
Index: extensions/hotlink_compatibility/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/hotlink_compatibility/language/pl_PL/plugin.lang.php	(revision 17084)
+++ extensions/hotlink_compatibility/language/pl_PL/plugin.lang.php	(revision 17085)
@@ -22,12 +22,12 @@
 // +-----------------------------------------------------------------------+
 $lang['.htaccess file is not writable'] = 'Nie można nadpisać pliku .htaccess';
-$lang['Apply upgrade anyway'] = 'Tak czy inaczej zastosuj ulepszenie';
-$lang['Apply upgrade'] = 'Zastosuj ulepszenie';
-$lang['Piwigo can\'t create or modify the .htaccess, you would have to do it manually if you want to apply this upgrade. Here is what you must put in the file:'] = 'Piwigo nie mogło zmodyfikować pliku .htaccess, jeśli chcesz zastosować to ulepszenie musisz zrobić to ręcznie. Oto co powinieneś umieścić w pliku:';
+$lang['Apply upgrade anyway'] = 'Mimo wszystko aktualizuj';
+$lang['Apply upgrade'] = 'Zastosuj aktualizację';
+$lang['Piwigo can\'t create or modify the .htaccess, you would have to do it manually if you want to apply this upgrade. Here is what you must put in the file:'] = 'Piwigo nie mogło zmodyfikować pliku .htaccess, jeśli chcesz zastosować tę aktualizację musisz zrobić to ręcznie. Oto co powinno znaleźć się w pliku:';
 $lang['Unable to activate RewriteEngine'] = 'Niepowodzenie przy aktywacji RewriteEngine';
-$lang['Upgrade already applied, please remove this plugin'] = 'Ulepszenie już zastosowane, usuń ten plugin';
-$lang['Upgrade successfully applied, please remove this plugin'] = 'Ulepszenie zastosowane prawidłowo, usuń ten plugin';
-$lang['You already have a .htaccess file but it blocks the rewrite engine (line <i>RewriteEngine off</i>), please remove this line to allow Piwigo to apply the upgrade.'] = 'Posiadasz już plik .htaccess ale zastosowanie ulepszenia nadal blokuje rewrite engine (linia <i>RewriteEngine off</i>), usuń proszę tą linię aby skutecznie zastosować ulepszenie.';
-$lang['Your gallery is hosted by a service known to have issues with URL Rewriting, you apply this upgrade at your own risk.'] = 'Twoja galeria jest hostowana w serwisie który ma problem z URL Rewriting, instalujesz to ulepszenie na własne ryzyko.';
+$lang['Upgrade already applied, please remove this plugin'] = 'Ta aktualizacja została już wcześniej zastosowana, możesz usunąć ten plugin';
+$lang['Upgrade successfully applied, please remove this plugin'] = 'Aktualizacja przebiegła prawidłowo, usuń ten plugin';
+$lang['You already have a .htaccess file but it blocks the rewrite engine (line <i>RewriteEngine off</i>), please remove this line to allow Piwigo to apply the upgrade.'] = 'Posiadasz już plik .htaccess ale zastosowanie tej aktualizacji jest zablokowane (linia <i>RewriteEngine off</i>), usuń proszę tą linię aby skutecznie zastosować tę aktualizację.';
+$lang['Your gallery is hosted by a service known to have issues with URL Rewriting, you apply this upgrade at your own risk.'] = 'Twoja galeria jest hostowana w serwisie który ma problem z URL Rewriting, instalujesz tę aktualizację na własne ryzyko.';
 $lang['Your host may be incompatible with URL rewriting'] = 'Twój host może być niekompatybilny z URL Rewriting';
 ?>